Execute up to 1000 telemetry queries. A leaky bucket rate limiting mechanism is applied based on the calculated cost of each request. The cost is a linear combination of the number of requests, the number of queries per request, the estimated number of returned datapoints and the number of scanned shards.
To minimize cost:
limit. When no range is provided, a worst-case range is assumed. Always specify a time range and set limit as low as possible.limit. A tight time range minimizes this component as well.If a request's cost would overflow the bucket, a 429 response is returned with a Retry-After header indicating how long to wait. If the cost exceeds the bucket's total capacity entirely, a 422 is returned. Ignoring Retry-After headers will result in a temporary 5-minute IP ban.
Helper scripts for estimating request cost are available at /assets/estimateCost.ts (TypeScript) and /assets/estimateCost.py (Python).
accessBearerAuth In the value field below, fill in the access token. It has a 10 minutes validity period. A valid token can be obtained via the /accesstoken endpoint (call), AFTER authorization with refreshBearerAuth and the refresh token.
In: header
Rate limit this request according to the specified tier, tracked completely separately from your current tier. Useful for testing how much capacity a given tier provides before committing to a contract. If not specified, the highest available tier for the user is used.
Available tiers:
free (0 EUR/month): 100 tokens/minute, bucket capacity 100 tokensbasic (250 EUR/month): 6000 tokens/minute, bucket capacity 6000 tokenspremium (1500 EUR/month): 60000 tokens/minute, bucket capacity 60000 tokensapplication/json
TypeScript Definitions
Use the request body type in TypeScript.
A list with up to 1000 telemetry queries.
items <= 1000application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/telemetry/query" \ -H "Content-Type: application/json" \ -d '[ { "select": [ "string" ], "from": { "measurement": "string", "database": "string", "retentionPolicy": "string" } } ]'[ { "statement_id": 0, "error": "string" }]Update an existing monitors relation PUT
Update an existing monitors relation.<br><br> To execute this query, the user must be a member of an authorizing role which satisfies both of the following conditions: <ol> <li> One of the following role-related conditions is true: <ul> <li> The authorizing role has *direct or indirect* deviceManagement rights for the role from which the monitors relation is updated </li> <li> The authorizing role has *indirect* roleManagement rights for the role from which the monitors relation is updated </li> </ul> </li> <li> The authorizing role has monitorManagement rights for the device to which the monitors relation is updated </li> </ol>
Activate a license POST
Set the activation date for a license to the current timestamp